2020. 12. 27. 20:33 DEV ENVIRONMENT
스프링부트 로그파일 생성안됨, logging.file, application.properties, pom.xml

스프링부트프로젝트에서 로깅파일이 생성이 안되서 찾아봤더니

In higher versions of spring-boot-parent(from version 2.2.0), property logging.file is deprecated.

2.2.0버전 이상부터는 logging.file이라는 설정이 디프리케이티드 됬다는 예기입니다.

그래서 버전을 수정해주고 다시 테스트해보겠습니다.

 

 

스프링 버전이 2.2.0 미만일때

#application.properties
logging.file=파일명

#application.yml
logging:
	file: 파일명

 

 

스프링 버전이 2.2.0 이상일때

#application.properties
logging.file.name=파일명

#application.yml
logging:
	file:
    	name: 파일명

 

 

 

application.yml, pom.xml

...
...
logging:
  level:
    ROOT: DEBUG
    com.zaxxer.hikari.HikariConfig: INFO
    com.zaxxer.hikari: INFO
    org.springframework: INFO
    org.springframework.jdbc: ERROR
    org.springframework.web.filter: DEBUG    
    jdbc: ERROR
    jdbc.connection: ERROR      # 커넥션 open close 이벤트를 로그로 남긴다      
    jdbc.sqlonly: INFO          # SQL문만을 로그로 남기며, PreparedStatement일 경우 관련된 argument 값으로 대체된 SQL문이 보여진다.
    jdbc.sqltiming: WARN        # SQL문과 해당 SQL을 실행시키는데 수행된 시간 정보(milliseconds)를 포함한다.
    jdbc.audit: ERROR           # ResultSet을 제외한 모든 JDBC 호출 정보를 로그로 남긴다. 많은 양의 로그가 생성되므로 특별히 JDBC 문제를 추적해야 할 필요가 있는 경우를 제외하고는 사용을 권장하지 않는다.
    jdbc.resultset: ERROR       # ResultSet 로그를 남긴다. 
    jdbc.resultsettable: ERROR  # SQL 결과 조회된 데이터의 table을 로그로 남긴다.
    org.hibernate.validator: INFO
    springfox: ERROR       
    io.lettuce.core: WARN
    org.apache.http.wire: WARN
  file: 
    name: C:/logs/local.log
    max-size: 100MB
    max-history: 30
...
...
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.2.9.RELEASE</version>
		<relativePath /> <!-- lookup parent from repository -->
	</parent>
...
...

 

댓글을 달아 주세요

2020. 10. 3. 17:39 ANDROID IOS
안드로이드 그래들 변경, Upgrade Gradle wrapper to 2.6 version and re-import the project, Android Upgrade Gradle Version

깃허브에서 받은 프로젝트를 돌려볼라고 했는데,

그래들 2.6은 삭제되었다고 에러가 발생했습니다.

해결하려면 그래들을 최신 버전으로 변경해주면 됩니다.
(오래된 프로젝트 소스라면 이부분 말고도 더 많이 변경해야할 수 있습니다...)

 

Support for builds using Gradle versions older than 2.6 was removed in tooling API version 5.0. You are currently using Gradle version 2.2.1. You should upgrade your Gradle build to use Gradle 2.6 or later.

Possible solution:
 - Upgrade Gradle wrapper to 2.6 version and re-import the project

 

 

1. 프로젝트 > gradle > wrapper > gradle-wrapper.properties 파일 열기

 

 

2. gradle-x.x.x.zip > gradle-6.3-all.zip 으로 수정

distributionUrl=https\://services.gradle.org/distributions/gradle-6.3-all.zip

 

 

3. 그래들 싱크, Load Gradle Changes, Ctrl+Shift+O

댓글을 달아 주세요

2020. 9. 24. 09:51 ANDROID IOS
안드로이드 그래들 오류, Could not initialize class org.codehaus.groovy.runtime.InvokerHelper, Android Gradle Error
Could not initialize class org.codehaus.groovy.runtime.InvokerHelper

하라는 빌드는 안하고 이런 오류가 발생하면서 멈출때가 있습니다.

저같은 경우에는 그래들 버전이랑 자바버전이랑 안맞아서 발생했습니다.

 

 

1. gradle\wrapper\gralde-wrapper.properties
그래들 버전이 6.1.1입니다.

지금 최신버전인 6.3으로 변경

distributionUrl=https\://services.gradle.org/distributions/gradle-6.1.1-all.zip

distributionUrl=https\://services.gradle.org/distributions/gradle-6.3-all.zip

 

 

2. Project Structure > Project Settings > Project
Project SDK가 자바 11로 되어있습니다.

14버전으로 변경

ㅁㄴㅇㄹ

 

3. gradle\wrapper\gralde-wrapper.properties

파일을 열고 그래들 싱크

Gradle Sync: Ctrl+Shift+O

 

 

빌드 됨

 

댓글을 달아 주세요

2019. 2. 4. 23:08 SERVER
[ECLIPSE/IDE] 이클립스에 SVN 플러그인 설치, Eclipse IDE 2018-12, Marketplace Subclipse Plugin

이번에 PMD를 포함한 개발환경이 필요해서

새로 이클립스를 다운받았습니다. 버전이 이제 년도에 월로 변경됬네요.


1. 메뉴 > Help > Eclipse Marketplace...



2. Find에 svn입력 후 Go 클릭 (엔터) 하면 Subclipse 4.3.0이 나옵니다.


설치가 완료되면 리스타트를 시킵니다.

리스타트를 해야 SVN이 적용됩니다.

3.4.5번은 잘 설치되었는지 확인하는 방법이니까 굳이 수행하실 필요는 없습니다.




3. 메뉴 > Window > Show View > SVN 에 뷰가 추가되었는지 확인



4. 메뉴 > Window > Preferences >> Team > SVN 이 추가되었는지 확인




5. 이클립스 오른쪽 상단에 Perspective아이콘에 SVN을 선택



댓글을 달아 주세요

2015. 5. 17. 19:27 ANDROID IOS
[MOBILE/ECLIPSE] Android SDK, Location of the Android SDK has not been setup in the preferences.

전에쓰던 이클립스를 바꿧더니

Location of the Android SDK has not been setup in the preferences.

오류가 나네요.


이것저것 때려보다가

ADT (Android Developer Tools)를 다시 설치했더니 해결되었습니다.



메뉴 > Help > Install New Software

ADT 주소

https://dl-ssl.google.com/android/eclipse/



Location of the Android SDK has not been setup in the preferences.



Install New Software



This Android SDK requires An...e ADT to the latest version.



Android SDK Manager



댓글을 달아 주세요

2014. 3. 23. 21:26 COMPUTER
[IPHONE/JAILBREAK] iOS7 아이폰 탈옥 스프링토마이즈3 설치, iPhone Springtomize 3 for iOS7

처음 iOS7 출시됬을때는 사용을 못했었습니다.

어느날 문득 생각나서 찾아보니까 나왔더군요.


전 스프링토마이즈로 가로5줄에 독5개로 만들어서 사용합니다.

커스텀 케리어도, 알람마크 지우기도, 나머진 기억이 안나네요...





소스주소 http://cydia.myrepospace.com/DirectionN


cydia.myrepospace.com/DirectionN

1. 시디아 실행, 매니징 > add source에 위의 주소를 입력하세요.



2. 소스를 추가하면 소스 업데이트를 진행합니다.






3. 검색탭에가서 Springtomize를 입력합니다.

우리가 설치할 버전은 ? Springtomize 3- iOS 7 흰색글씨



4. 설치



5. 확인






6. 설치 진행중



7. 스프링토마이즈를 실행한 모습

아이콘이 알록달록해졌군요.


댓글을 달아 주세요

2014. 1. 23. 00:30 DEV ENVIRONMENT
[ECLIPSE/SVN] 이클립스에서 SVN으로 프로젝트 공유하기, SVN Share Project on Eclipse
최초로 프로젝트를 SVN에 등록하는 방법입니다.

1. 프로젝트명에 오른쪽 > Team > Share Project를 선택하세요.



2. repository type(저장소 타입)을 SVN을 선택하세요.



3. svn 서버의 주소, 사용자 계정, 암호를 입력하세요. 지속적으로 사용할거라면 Save authentication을 체크하세요.



4. 이제 커밋할 소스들이 출력됩니다. Ok버튼을 클릭하면 완료.


댓글을 달아 주세요

2014. 1. 13. 15:06 WINDOWS
윈도우XP 서비스팩2 인터넷 익스플로어 7 설치 VMWARE 가상머신

INSTALL INTERNET EXPLORER 7 ON WINDOWS XP SERVICE PACK 2


저는 IE10을 쓰고 있는데 개발자용 도구에서 버전을 낮추어도 사이트가 예쁘게 나오네요.

하는수 없이 진짜 IE7에서 테스트를 하기 위해 VMWare에 XP를 설치했습니다.


IE7을 설치하기 위해선 운영체제가 윈도우XP 서비스팩2 상태여야 합니다.

(XP SP1 이하는 SP2를 설치하면 되지만 XP3이면 이미 IE8 상태라서 다시 설치해야 합니다.)




현재 다운로드 주소

http://www.microsoft.com/en-us/download/confirmation.aspx?id=2



제 시스템은 Windows XP Service Pack 2 상태입니다.




다운로드센터에서 IE7을 다운받습니다.




오랜만에 다시보는 설치 시작 화면



설치 완료 후 재시작 합니다.



Help > About Internet Explorer


댓글을 달아 주세요

2010. 10. 28. 11:02 DEV ENVIRONMENT
[ECLIPSE/JAVA] 이클립스 컴파일 에러, Java compiler level does not match the version of the installed Java project facet
설치된 자바 버전과 프로젝트의 컴파일러 버전이 맞지 않을때 나는 에러입니다.
물론 실행은 잘 되고 있을 확률이 높음...

Error: Java compiler level does not match the version of the installed Java project facet

프로젝트에 마우스 오른쪽 > Properties > Project Facets
자바버전을 설치된 것과 같은 것으로 맞춰주면 해결됩니다.


댓글을 달아 주세요

  1. 카테고리의 다른 글

    2011.06.03 17:38 [ ADDR : EDIT/ DEL : REPLY ]
  2. 고맙습니다

    잘 해결되었어요. 감사합니다~!!!

    2015.02.04 17:53 [ ADDR : EDIT/ DEL : REPLY ]
  3. 감사합니다.

    덕분에 해결 했습니다. 감사합니다.

    2015.11.25 15:53 [ ADDR : EDIT/ DEL : REPLY ]
  4. 초보프로그래머

    너무 감사합니다ㅠㅠ

    2016.07.08 15:33 [ ADDR : EDIT/ DEL : REPLY ]

2010. 2. 22. 21:02 DEV ENVIRONMENT
[ECLIPSE] 이클립스에 코드비머(CodeBeamer) 플러그인 설치

이문서는 2.X 고대버전용입니다.
5.X사용자는 알아서 설치하시면 됩니다.

다운로드페이지: https://codebeamer.com/cb/proj/doc.do?doc_id=8787
2.0버전 다운로드: https://codebeamer.com/cb/displayDocument/codebeamer-eclipse-plugin-2.0.zip?doc_id=8788

- zip파일을 압축을 풀면 plugins폴더안에 jar파일 두개가 나온다
- 압축 푼 파일을 이클립스설치폴더/plugins 안에 복사
- 이클립스를 재실행 한다

- Windows > Show View > Other...
- CodeBeamer > CodeBeamer Trackers







댓글을 달아 주세요

2009. 11. 16. 09:22 COMPUTER
Flash ActionScript 버전 변경
File > Publish Settings(Ctrl+Shift+F12) > Script > ActionScript X.X

댓글을 달아 주세요

최근에 올라온 글

최근에 달린 댓글